#ifndef LOGIQUE_H_INCLUDED
#define LOGIQUE_H_INCLUDED

#include <stdio.h>
#include <stdlib.h>
#include <SDL/SDL.h>
#include <SDL/SDL_image.h>
#include <SDL/SDL_ttf.h>

#include "iniparser/iniparser.h"
#include "constantes.h"
#include "jeu.h"
#include "GUI.h"

void tirageInitial(struct CardData cartesJoueur[]);
void tirageFinal(struct CardData cartesJoueur[], int cartesJetees[]);
void definirCartes(struct CardData cartesJoueur[]);
int nombreAleatoire();

int gain(struct CardData cartesJoueur[]);
void ordonnerTableauCroissant(int tableau[], int tableauTrie[]);
int tableauTermesEgaux(int tableau[]);
int Flush(int tableau[], int couleur[]);
int nomreOccurences(int nombre[],int occurences[]);

#endif // LOGIQUE_H_INCLUDED
